MINIUPNPD(8)

NAME
miniupnpd - UPnP Internet Gateway Device Daemon

SYNOPSIS
miniupnpd [--version] [-f config_file] [-i ext_ifname] [-I ext_ifname6] [-o ext_ip] [-a listening_ip] [-p port] [-d] [-U] [-S0] [-N] [-u uuid] [-s serial] [-m model_number] [-t notify_interval] [-P pid_filename] [-B down up] [-w url] [-r clean_ruleset_interval] [-A permission rule] [-b BOOTID] [-1]

DESCRIPTION
miniupnpd act as a UPnP Internet Gateway Device. It is designed to run on the gateway between the internet and a NAT'ed LAN. It provides an interface, as defined in the UPnP standard, for enabling clients on the LAN to ask for port redirections.

OPTIONS

-f config_file
    load the config from file.

-i ext_ifname
    interface used to connect to the internet.

-o ext_ip
    address used to connect to the internet. default address of the interface will be used if not specified.

-a listening_ip
    address on the LAN. -a option can by used multiple time if LAN is subdivised in several subnetworks.

-p port
    port used for HTTP.

-d  debug mode : do not go to background, output messages on console and do not filter out low priority messages.

-U  report system uptime instead of daemon uptime to clients.

-S0 disable "secure" mode so clients can only add mappings to other IPs

-N  enable NAT-PMP and PCP functionality.

-u uuid
    set the uuid of the UPnP Internet Gateway Device.

-s serial
    serial number for the UPnP Internet Gateway Device.

-m model_number
    model number for the UPnP Internet Gateway Device.

-t notify_interval
    SSDP notify interval in seconds. Default is 900 seconds. SSDP announce messages will be broadcasted at this interval.

-P pid_filename
    pid file. default is /var/run/miniupnpd.pid

-B down up
    download and upload bitrates reported to clients.

-w url
    presentation url. default is first address on LAN, port 80.

-r clean_ruleset_interval
    (minimum) interval between unused rules cleaning checks.

-A permission rule
    use following syntax for permission rules :
      (allow|deny) (external port range) ip/mask (internal port range)
    examples :
      "allow 1024-65535 192.168.1.0/24 1024-65535"
      "deny 0-65535 0.0.0.0/0 0-65535"

-b BOOTID
    sets the value of BOOTID.UPNP.ORG SSDP header

-1  force reporting IGDv1 in rootDesc when compiled as IGDv2 *use with care*

SEE ALSO
minissdpd(1) miniupnpc(3)

BUGS